/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.base.junit.shell;

import java.io.OutputStream;
import java.io.PrintStream;

import org.ow2.petals.cli.api.shell.Shell;

/**
 * <p>
 * A simple {@link Shell} based on {@link DummyShell}:
 * <ul>
 * <li>providing output stream for a standard output and an error output,</li>
 * <li>managing exit code</li>
 * </ul>
 * </p>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 * @deprecated Should be replace by {@link StringStreamShell} that integrates directly allocation of
 *             ByteArrayOutputStream. So the source code of unit test will be more compact.
 */
@Deprecated
public class SimpleShell extends DummyShell {

    /**
     * The output stream
     */
    private final PrintStream printStream;

    /**
     * The error stream
     */
    private final PrintStream errorStream;

    public SimpleShell(final OutputStream outputStream, final OutputStream errorStream) {

        this.printStream = new PrintStream(outputStream);
        this.errorStream = new PrintStream(errorStream);

    }

    @Override
    public PrintStream getPrintStream() {
        return this.printStream;
    }

    @Override
    public PrintStream getErrorStream() {
        return this.errorStream;
    }
}
